Package Details: pgcli 3.0.0-2

Git Clone URL: https://aur.archlinux.org/pgcli.git (read-only, click to copy)
Package Base: pgcli
Description: a command line interface for Postgres with auto-completion and syntax highlighting
Upstream URL: http://pgcli.com/
Keywords: dbcli postgres
Licenses: BSD
Conflicts: pgcli-git
Provides: pgcli
Submitter: fzerorubigd
Maintainer: tomi77
Last Packager: tomi77
Votes: 41
Popularity: 0.44
First Submitted: 2016-03-16 16:15
Last Updated: 2020-10-29 17:11

Latest Comments

1 2 3 4 5 6 ... Next › Last »

tsujigiri commented on 2020-10-28 08:17

edit: I could work around it by replacing the dependency to python-sqlparse>=0.3.0 with python-sqlparse-0_3_0 (from AUR), in order for it to not install version 0.4, which seems to violate some versioning constraint.

I see this error when trying to run pgcli:

Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 567, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 884, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 775, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (sqlparse 0.4.1 (/usr/lib/python3.8/site-packages), Requirement.parse('sqlparse<0.4,>=0.3.0'), {'pgcli'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/pgcli", line 33, in <module>
    sys.exit(load_entry_point('pgcli==3.0.0', 'console_scripts', 'pgcli')())
  File "/usr/bin/pgcli", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.8/importlib/metadata.py", line 77, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.8/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
  File "<frozen importlib._bootstrap>", line 991, in _find_and_load
  File "<frozen importlib._bootstrap>", line 975, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 671, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 783, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "/usr/lib/python3.8/site-packages/pgcli/main.py", line 15, in <module>
    import humanize
  File "/usr/lib/python3.8/site-packages/humanize/__init__.py", line 2, in <module>
    import pkg_resources
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3239, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3222, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3251, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 569, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 582, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 770, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'sqlparse<0.4,>=0.3.0' distribution was not found and is required by pgcli

Synthead commented on 2020-02-25 18:21

I see this error when trying to run pgcli:

$ pgcli 
Traceback (most recent call last):
  File "/bin/pgcli", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3251, in <module>
    @_call_aside
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3235, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3264, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'setproctitle>=1.1.9' distribution was not found and is required by pgcli

grinderz commented on 2019-12-16 17:52

error while run pgcli

pkg_resources.DistributionNotFound: The 'prompt_toolkit<2.1.0,>=2.0.6' distribution was not found and is required by pgcli

conan commented on 2019-10-08 15:08

This package is severely broken: it needs to require several dependencies to get installed and then it requires like a dozen of new dependencies to be able to run.

telmo commented on 2019-07-12 18:16

@asm0dey Well, thanks anyway. Cheers.

asm0dey commented on 2019-07-12 05:35

@telm nop :( Currently I can only recommend to install pgcli with pipx. Waiting for upstream to fix version :(

telmo commented on 2019-07-12 02:54

Hello, I installed your python-sqlparse-0_3_0 package in place of the default python-sqlparse expecting to be able to update pgcli, but I still get a dependency error. Can you give me a help?

Quatro commented on 2019-06-01 19:16

Thanks.

asm0dey commented on 2019-06-01 13:54

@Quatro updated requirement version, so waiting for sqlparse to update version

Quatro commented on 2019-06-01 13:25

pgcli broke again. sqlparse dependency changed to sqlparse<0.4,>=0.3.0, but the current package is at '0.2.4` (Someone already flagged out of date: https://www.archlinux.org/packages/community/any/python-sqlparse/) .

Full error message on pgcli start:

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (sqlparse 0.2.4 (/usr/lib/python3.7/site-packages), Requirement.parse('sqlparse<0.4,>=0.3.0'), {'pgcli'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/pgcli", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3241, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3225, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3254, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 585, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 598, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'sqlparse<0.4,>=0.3.0' distribution was not found and is required by pgcli